Skip to main content
PUT https://services.leadconnectorhq.com/knowledge-bases/faqs/{id}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

id
string
default:"710KoEzy793Fxubft0bc"
required
faq ID as string

Body

question
string
default:"What is the capital of France?"
required
faq question as a string
answer
string
default:"The capital of France is Paris."
required
faq answer as a string

Respuestas

success
boolean
default:"True"
required
Success status of the update operation
{
  "success": true
}
statusCode
number
default:"400"
message
string
default:"Bad Request"
{
  "statusCode": 400,
  "message": "Bad Request"
}
statusCode
number
default:"401"
message
string
default:"Invalid token: access token is invalid"
error
string
default:"Unauthorized"
{
  "statusCode": 401,
  "message": "Invalid token: access token is invalid",
  "error": "Unauthorized"
}
statusCode
number
default:"422"
message
string[]
error
string
default:"Unprocessable Entity"
{
  "statusCode": 422,
  "message": [
    "Unprocessable Entity"
  ],
  "error": "Unprocessable Entity"
}
statusCode
number
default:"500"
message
string
default:"Internal Server Error"
{
  "statusCode": 500,
  "message": "Internal Server Error"
}

Ejemplo

curl -X PUT 'https://services.leadconnectorhq.com/knowledge-bases/faqs/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "question": "What is the capital of France?",
  "answer": "The capital of France is Paris."
}'
const response = await fetch('https://services.leadconnectorhq.com/knowledge-bases/faqs/YOUR_id', {
  method: 'PUT',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"question": "What is the capital of France?", "answer": "The capital of France is Paris."}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'PUT',
    'https://services.leadconnectorhq.com/knowledge-bases/faqs/YOUR_id',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"question": "What is the capital of France?", "answer": "The capital of France is Paris."},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/knowledge-bases/faqs/YOUR_id');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'question': 'What is the capital of France?', 'answer': 'The capital of France is Paris.'}),
]);
$data = json_decode(curl_exec($ch), true);